{% extends 'admin/index.html.twig' %}

{% block body %}
    <h1>Fanfictions
        <a href="{{path('admin_new_fanfiction')}}" class="btn">Nouveau</a>
    </h1>
    
    <div class="table-responsive">
        <table class="table table-striped">
            <thead>
                <th>ID</th>
                <th>Titre</th>
                <th>Corps</th>
                <th>Slug</th>
                <th>Auteur</th>
                <th>Status</th>
                <th>Actions</th>
            </thead>
            <tbody>
                {% for fanfiction in fanfictions %}
                    <tr>
                        <th>{{ fanfiction.id }}</th>
                        <td>{{ fanfiction.title }}</td>
                        <td>{{ fanfiction.content|striptags|truncate(200) }}</td>
                        <td>{{ fanfiction.slug }}</td>
                        <td>{{ fanfiction.author.username }}</td>
                        <td>{{ fanfiction.status }}</td>
                        <td>
                            <a href="{{path('admin_edit_fanfiction', {'id': fanfiction.id})}}" class="btn btn-secondary">Editer</a>
                            <a href="{{path('admin_delete_fanfiction', {'id': fanfiction.id})}}" class="btn btn-danger">Supprimer</a>
                        </td>
                    </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
{% endblock %}